# Refresh poll results

Refreshes poll results from the remote server if the poll is from a federated instance and the results may be stale. Returns the updated poll with current vote counts.

Endpoint: POST /api/v1/polls/{pollId}/refresh
Version: 1.0
Security: header

## Path parameters:

  - `pollId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

## Response 200 fields (application/json):

  - `id` (string, required)
    Internal poll id
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `startedAt` (string, required)
    Time when poll starts. Poll is valid from startedAt until expiresAt.
    Example: "2022-03-10T16:15:50Z"

  - `expiresAt` (string,null, required)
    Example: "2022-03-10T16:15:50Z"

  - `multiple` (boolean, required)

  - `votersCount` (integer, required)

  - `options` (array, required)

  - `options.title` (string, required)

  - `options.votesCount` (integer, required)

  - `hideTotals` (boolean, required)

  - `ownVotes` (array,null)

  - `emojis` (array,null)

  - `emojis.shortcode` (string, required)

  - `emojis.category` (string,null, required)

  - `emojis.url` (string, required)

  - `emojis.staticUrl` (string, required)

  - `emojis.visibleInPicker` (boolean, required)


